org.apache.coyote

## Class AbstractProtocol.RecycledProcessors

- java.lang.Object
- - org.apache.tomcat.util.collections.SynchronizedStack<Processor>
  - - org.apache.coyote.AbstractProtocol.RecycledProcessors

- Enclosing class:
    AbstractProtocol<S>

      protected static class AbstractProtocol.RecycledProcessors
      extends SynchronizedStack<Processor>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AtomicInteger` | `size`

    - ### Fields inherited from class org.apache.tomcat.util.collections.SynchronizedStack

      `DEFAULT_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProtocol.RecycledProcessors(AbstractProtocol.ConnectionHandler<?> handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `Processor` | `pop()`
    `boolean` | `push(Processor processor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### size

          protected final AtomicInteger size

  - ### Constructor Detail

    - #### AbstractProtocol.RecycledProcessors

          public AbstractProtocol.RecycledProcessors(AbstractProtocol.ConnectionHandler<?> handler)

  - ### Method Detail

    - #### push

          public boolean push(Processor processor)

      Overrides:
        `push` in class `SynchronizedStack<Processor>`

    - #### pop

          public Processor pop()

      Overrides:
        `pop` in class `SynchronizedStack<Processor>`

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `SynchronizedStack<Processor>`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.